package com.diagbot.entity.node;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.data.neo4j.annotation.QueryResult;

import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/12/14 10:28
 */
@Getter
@Setter
@QueryResult
public class EntityInfo {
    private Long id;
    @NotNull(message = "请输入术语名称")
    private String name;
    private String pycode;
    private Integer status;
    private Integer is_kl;
    @NotNull(message = "请输入术语类型")
    private String labelType;

    //通用属性
    private String age;
    @ApiModelProperty(hidden = true)
    private String ageRange;
    private String gender;
    //实验室检查名称、实验室检查、体征、实验室检查危急值
    private String unit;
    //医保诊断名称、药物过敏原、药品注册名称
    private String alias;
    //药物过敏原、药品注册名称
    private String result;
    //实验室检查名称
    private Double minval;
    //实验室检查名称
    private Double maxval;
    //实验室检查名称
    private Integer range;


    //个性化属性
    //医保诊断名称属性
    //"分类", "age(0-200)", "sex", "疾病别称", "dept"
    private Integer category;
    private String dept;
    private Double minAge;
    private Double maxAge;

    //医保手术和操作属性
    private String opgrade;
    private String highriskcond;

    //实验室检查名称
    //"范围", "最小值", "单位", "最大值"

    //实验室检查
    //"单位"

    //化验细项及结果
    //"special"
    private String special;

    //药物过敏原
    //"药品类型", "结果", "名称"
    private String medtype;

    //药品注册名称
    //"药品高危级别", "禁忌给药途径", "禁忌性别", "结果", "名称"
    private String risklevel;
    private String conflict_geiyao;
    private String conflict_gender;

    //药品代码通用名
    //"批准文号", "药品本位码", "药品企业", "最小包装数量", "注册规格",
    //"最小制剂单位", "最小包装单位", "包装材质", "注册剂型", "标准注册剂型"
    //"最小包装数量"
    private Double min_pack_num;
    //"注册剂型"
    private String reg_JiXin;
    //"药品本位码"
    private String benWei_Code;
    // "最小包装单位"
    private String min_pack_unit;
    // "注册规格"
    private String reg_GuiGe;
    //"包装材质"
    private String pack_CaiLiao;
    //"药品企业"
    private String producer;
    //"批准文号"
    private String license_num;
    //"最小制剂单位"
    private String min_prod_unit;
    //"标准注册剂型"
    private String stand_reg_JiXin;
}