package com.diagbot.repository;

import com.diagbot.entity.node.Age;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/11/25 15:07
 */
public interface AgeRepository extends Neo4jRepository<Age,Long> {
    List<Age> findByNameIs(String name);

    @Query("merge (n:年龄{name:{name}})  " +
            "on create set  " +
            "n.拼音编码={pycode}," +
            "n.静态知识标识={is_kl}," +
            "n.状态={status}," +
            "n.最大值={maxValue}," +
            "n.最小值={minValue}," +
            "n.范围={range}," +
            "n.单位={unit}, " +
            "n.年龄指标={indication} " +
            "on match set  " +
            "n.拼音编码={pycode}," +
            "n.静态知识标识={is_kl}," +
            "n.状态={status}," +
            "n.最大值={maxValue}," +
            "n.最小值={minValue}," +
            "n.范围={range}," +
            "n.单位={unit}, " +
            "n.年龄指标={indication} "+
            "RETURN n,[ (n)-[r]->(m) | [ r, m ] ], ID(n)\n")
    Age createOrUpdate(@Param("name") String name,
                        @Param("is_kl") Integer is_kl,
                        @Param("pycode") String pycode,
                        @Param("status") Integer status,
                        @Param("maxValue") Double maxValue,
                        @Param("minValue") Double minValue,
                        @Param("range") Integer range,
                        @Param("unit") String unit,
                        @Param("indication") String indication);
}