package com.diagbot.repository;

import com.diagbot.entity.node.EntityInfo;
import com.diagbot.entity.node.MedChemClass;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;
import org.springframework.data.repository.query.Param;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/12/15 16:35
 */
public interface MedChemClassRepository extends Neo4jRepository<MedChemClass,Long> {
    @Query("create (n:药品化学物质类别) \n" +
            "set  " +
            "n.name = :#{#entityInfo.name}," +
            "n.拼音编码 = :#{#entityInfo.pycode}," +
            "n.静态知识标识 = :#{#entityInfo.is_kl}," +
            "n.状态 = :#{#entityInfo.status}" +
            "\n" +
            "RETURN n,[ (n)-[r]->(m) | [ r, m ] ], ID(n)\n")
    MedChemClass create(@Param("entityInfo") EntityInfo entityInfo);
}
