package com.diagbot.repository;

import com.diagbot.entity.node.EntityInfo;
import com.diagbot.entity.node.PacsCritical;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;


public interface PacsCriticalRepository extends Neo4jRepository<PacsCritical, Long> {

    @Query("MATCH (n:辅助检查危急值) WHERE {result} CONTAINS(n.规则) return n")
    List<PacsCritical> findByResult(@Param("result") String result);

    List<PacsCritical> findByNameContaining(String name);

    @Query("create (n:辅助检查危急值) \n" +
            "set  " +
            "n.name = :#{#entityInfo.name}," +
            "n.拼音编码 = :#{#entityInfo.pycode}," +
            "n.静态知识标识 = :#{#entityInfo.is_kl}," +
            "n.状态 = :#{#entityInfo.status}" +
            "\n" +
            "RETURN n,[ (n)-[r]->(m) | [ r, m ] ], ID(n)\n")
    PacsCritical create(@Param("entityInfo") EntityInfo entityInfo);
}

